============================================================================
Ruby and Ruby Gems Installation Guide
============================================================================

1. Install Ruby if necessary.

   Supported Ruby versions are 1.8.6, 1.8.7, and 1.9.x.  For Ubuntu
   and Debian Linux, be sure to also install the Ruby development
   packages to get Ruby headers necessary to build Ark Ruby C
   extensions listed below.

   If you install Ruby 1.8.6 or 1.8.7, also install RubyGems (a Ruby
   package manager) after installing Ruby.  Check whether you have
   RubyGems by executing 'gem list' in a shell window (which should
   run without error if you do).

   If you need to install RubyGems manually, download the latest
   (rubygems-x.x.x.tgz) from

      http://rubyforge.org/frs/?group_id=126

   To install:

      $ tar xvzf rubygems-x.x.x.tgz 
      $ cd rubygems-x.x.x
      $ sudo ruby setup.rb


2. Install Ark Ruby gems.

   * arkutil: http://www.caida.org/tools/utilities/arkutil/
   * rb-mperio: http://www.caida.org/tools/measurement/rb-mperio/

   Confirm installation with 'gem list' (no sudo required).


3. Install third-party Ruby gems from the Ruby community's remote gem
   repository.

     $ sudo gem install amalgalite
     $ sudo gem install net-ssh
     $ sudo gem install open4
